# Pull Request Template

## Description

Please include the following:
- Please include a summary of the change and which issue is fixed. 
- Context/reason for change and issue # if applicable
- Any dependencies that are required for this change.

Fixes # (issue)

## Type of change

Please delete options that are not relevant.

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix/feature that may cause existing functionality to not work as expected)
- [ ] This change requires a documentation update

## Checklist

- [ ] My code adheres to the [Google Python Style Guide](https://google.github.io/styleguide/pyguide.html)
- [ ] I ran `make pylint` and code is rated 10/10
- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] I ran `make test` and all tests pass
- [ ] I ran the tool and verified the change works
- [ ] I have adequately commented my code, particularly in hard-to-understand areas
- [ ] I have made relevant changes to the documentation, if needed
- [ ] My changes generate no new warnings
- [ ] I have corrected any misspellings in my code